## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# 22 of the 23 provided unit tests require a valid configuration file and certificate.
# The remaining dependency fails due to the dependency adjustments in %%prep
%bcond_with     tests

Name:           oci-cli
Version:        3.28.2
Release:        %autorelease
Summary:        Command Line Interface for Oracle Cloud Infrastructure 

License:        UPL-1.0
URL:            https://github.com/oracle/oci-cli
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(vcrpy)
%endif

%global _description %{expand:
This is the command line interface for Oracle Cloud Infrastructure.}

%description %{_description}

# Awaiting a fix for python-cx-oracle
# https://src.fedoraproject.org/rpms/python-cx-oracle/pull-request/1
# %%pyproject_extras_subpkg -n %%{name} db


%prep
%autosetup -n %{name}-%{version}

# Allow older versions of pinned dependencies in EPEL.
%if 0%{?el9} || 0%{?centos} >= 9
sed -i 's/click==8.0.4/click>=8.0.3/' setup.py
sed -i 's/jmespath==0.10.0/jmespath>=0.9.4/' setup.py
%endif

# Allow newer version of pinned dependencies.
sed -i 's/click==8.0.4/click>=8.0.4/' setup.py
sed -i 's/jmespath==0.10.0/jmespath>=0.10.0/' setup.py
sed -i 's/prompt-toolkit==3.0.29/prompt-toolkit>=3.0.29/' setup.py
sed -i 's/terminaltables==3.1.0/terminaltables>=3.1.0/' setup.py

# Remove upper version limits.
sed -i 's/cryptography>=3.2.1,<40.0.0/cryptography>=3.2.1/' setup.py
sed -i 's/PyYAML>=5.4,<6/PyYAML>=5.4/' setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

# Remove extra script that isn't needed.
rm -f %{buildroot}/%{_bindir}/create_backup_from_onprem

%pyproject_save_files common_util interactive oci_cli services


%check
%pyproject_check_import -e 'oci_cli.scripts.database.dbaas' -e 'services.*'

%if %{with tests}
%pytest
%endif


%files -n %{name} -f %{pyproject_files}
%license LICENSE.txt THIRD_PARTY_LICENSES.txt
%doc CHANGELOG.rst COMMON_ISSUES.rst CONTRIBUTING.rst README.rst
%{_bindir}/oci


%changelog
* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 3.28.2-1
- Update to 3.28.2 rhbz#2212678

* Tue May 30 2023 Major Hayden <major@redhat.com> - 3.28.1-1
- Update to 3.28.1 rhbz#2211216

* Tue May 23 2023 Major Hayden <major@redhat.com> - 3.28.0-1
- Update to 3.28.0 rhbz#2209201

* Mon May 22 2023 Major Hayden <major@redhat.com> - 3.27.1-3
- Skip packaging db extra for now

* Wed May 17 2023 Major Hayden <major@redhat.com> - 3.27.1-2
- Allow older versions for EPEL

* Tue May 16 2023 Major Hayden <major@redhat.com> - 3.27.1-1
- Update to 3.27.1 rhbz#2207482

* Thu May 11 2023 Major Hayden <major@redhat.com> - 3.27.0-1
- Initial import rhbz#2190315
